## com.bbn.openmap.layer.util.http
Class SieveListener

    java.lang.Object
      com.bbn.openmap.layer.util.http.SieveListener

All Implemented Interfaces:
  java.util.EventListener, HttpRequestListener

public class SieveListener
extends java.lang.Object
implements HttpRequestListener

An HttpRequestListener that returns the request to the client.

Version:
  1.0, 06/13/97
Author:
  Tom Mitchell

Constructor Summary
`SieveListener()`

Method Summary
`void` `httpRequest(HttpRequestEvent e)` Just write the request out to the client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SieveListener

    public SieveListener()

Method Detail

### httpRequest

    public void httpRequest(HttpRequestEvent e)
                     throws java.io.IOException

  Just write the request out to the client.

  Specified by:
    `httpRequest` in interface `HttpRequestListener`
  Throws:
    `java.io.IOException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details